PIRL.Utilities

## Class Multiwriter_IOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - PIRL.Utilities.Multiwriter_IOException

All Implemented Interfaces:
  Serializable

    public class Multiwriter_IOException
    extends IOException

A Multiwriter_IOException is an IOException that may carry multiple IOExceptions from multiple exception sources.

This exception is used when an IOExceptions might occur from more than one source but the first occurance of an exception will not be thrown. In this case all the exceptions that occurred can be accumulated in a Multiwriter_IOException which is then thrown after processing of all the sources has been completed. Each IOException is paired with the source of the exception.

See Also:
  `Styled_Multiwriter`, Serialized Form

### Field Summary

Fields
`Vector` `Exceptions` The list of IOExceptions that were thrown.
`static String` `ID` Class identification name with source code version and date.
`Vector` `Sources` The list of source objects that have thrown an exception.

### Constructor Summary

Constructors
Constructor and Description
`Multiwriter_IOException()` Construct a Multiwriter_IOException with no explanatory message.
`Multiwriter_IOException(String message)` Construct a Multiwriter_IOException with an explanatory message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class identification name with source code version and date.

See Also:
  Constant Field Values

#### Sources

    public Vector Sources

The list of source objects that have thrown an exception.

#### Exceptions

    public Vector Exceptions

The list of IOExceptions that were thrown.

Each exception occurs at the same position in the list as the position of the source in the `Sources` list that caused the exception.

### Constructor Detail

#### Multiwriter_IOException

    public Multiwriter_IOException(String message)

Construct a Multiwriter_IOException with an explanatory message.

Parameters:
  `message` - A String explaining the exception.

#### Multiwriter_IOException

    public Multiwriter_IOException()

Construct a Multiwriter_IOException with no explanatory message.